[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| RandomForestProgressVisitor Class Reference |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for RandomForestProgressVisitor:

## Additional Inherited Members
Public Member Functions inherited from VisitorBase
double | return_val ()
template<class Tree , class Split , class Region , class Feature_t , class Label_t >
void | visit_after_split (Tree &tree, Split &split, Region &parent, Region &leftChild, Region &rightChild, Feature_t &features, Label_t &labels)
template<class RF , class PR , class SM , class ST >
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF , class PR >
void | visit_at_beginning (RF const &rf, PR const &pr)
template<class RF , class PR >
void | visit_at_end (RF const &rf, PR const &pr)
template<class TR , class IntT , class TopT , class Feat >
void | visit_external_node (TR &tr, IntT index, TopT node_t, Feat &features)
template<class TR , class IntT , class TopT , class Feat >
void | visit_internal_node (TR &, IntT, TopT, Feat &)

## Detailed Description

Verbose output

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)